Puzzle / Developers
API referenceProducts

Update Product

PATCH /company/{id}/products/{productId}

PATCH/company/{id}/products/{productId}

Path Parameters

id*string

The company ID

Length1 <= length
productId*string

The product ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/company/string/products/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "serviceType": "Inventory",  "status": "Active",  "sku": "string",  "description": "string",  "priceRate": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z